package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/** 
 * 会员详情
 * @Author sh
 * 类说明 
 */
public class VipInfoSaveInDto extends BaseRequest{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="vipId",value = "vipId",required = true)
	@NotNull
	private String vipId;
	@ApiModelProperty(name="childName",value = "学生姓名",required = false)
	private String childName;
	@ApiModelProperty(name="school",value = "学校",required = false)
	private String school;
	@ApiModelProperty(name="grade",value = "年级",required = false)
	private String grade;
	@ApiModelProperty(name="imgUrl",value = "头像",required = false)
	private String imgUrl;
	/**
	 * 性别 1男2女
	 */
	@ApiModelProperty(name="sex",value = "性别 1男2女",required = false)
	private String sex;

	/**
	 * 家长姓名
	 */
	@ApiModelProperty(name="parentName",value = "家长姓名",required = false)
	private String parentName;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(name="phone",value = "联系电话",required = false)
	private String phone;

	/**
	 * 家庭地址
	 */
	@ApiModelProperty(name="parentRole",value = "角色",required = false)
	private String parentRole;

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getParentRole() {
		return parentRole;
	}

	public void setParentRole(String parentRole) {
		this.parentRole = parentRole;
	}
}
